---
updatedAt: 2025-09-30T15:27:27.000Z
agentTools:
  projectIndex: https://docs.nexiopay.com/llms.txt
---

# View adjustments

FROM REPORTING.JSON

Returns all adjustments within the given date range for all merchant IDs associated with the Nexio account used to [authenticate 
<i role='img' aria-hidden='true' class='sl-icon far fa-external-link-alt fa-xs'></i>](https://docs-beta.nexiopay.com/docs/getting-started/docs/authentication/authentication.md). You may also request or filter on fields of the query parameters, as in the following example:

  <code>/report/v3/adjustments?kount.&plugin.&customer.&processor.&gateway.</code>
  
See the [query parameters <i role='img' aria-hidden='true' class='sl-icon far fa-external-link-alt fa-xs'></i>](https://docs-beta.nexiopay.com/docs/developer-tools/docs/apiTools/filter_query_parameters.md) section in Developer Tools for a full tutorial.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Internal-only",
    "version": "3.0.0",
    "description": "Internal-only APIs",
    "summary": "Internal only",
    "contact": {
      "name": "Integrations Support",
      "url": "https://nexiointegrations.slack.com/",
      "email": "integrations@nexiopay.com"
    },
    "license": {
      "name": "ICS",
      "url": "https://docs.nexiopay.com/page/license"
    }
  },
  "security": [
    {
      "Basic_Authentication": []
    },
    {
      "One-time-use_Token": []
    }
  ],
  "servers": [
    {
      "url": "https://api.nexiopaysandbox.com",
      "description": "Sandbox"
    }
  ],
  "tags": [
    {
      "name": "Statements and Adjustments",
      "description": "APIS for statements and adjustments"
    }
  ],
  "components": {
    "securitySchemes": {
      "Basic_Authentication": {
        "type": "http",
        "scheme": "basic",
        "description": "Basic authentication is a simple authentication scheme built into the HTTP protocol. \n\nFor the \"Try It\" feature, type your API username and password in the appropriate fields. The system then automatically creates the Authorization header that contains the word `Basic` followed by a space and a base64-encoded string `username:password`. \n\nFor example: `Authorization: Basic ZGVtbzpwQDU1dzByZA==` \n\nFor your own requests, learn how to do the conversion in the [Authentication](doc:authentication#basic-authentication) guide. \n\nFor more information about this security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#basic-authentication-sample"
      },
      "One-time-use_Token": {
        "type": "apiKey",
        "name": "token",
        "in": "query",
        "description": "The one-time-use token authentication scheme requires a token supplied in the named query parameter that can only be used to submit a single API request and that expires after one hour. \n\nFor the \"Try It\" feature, first generate the one-time-use token through either the [Create one-time-use token](ref:createonetimeusetoken) or the [Create APM one-time-use token](ref:createapmonetimeusetoken) endpoint. Copy the resulting token and then paste it in the appropriate field for the current endpoint. \n\nFor your own requests, learn how to generate the one-time-use token in the [Authentication](doc:authentication#one-time-use-tokens) guide. Then, use it as normal for this endpoint. \n\nFor more information about the \"apiKeys\" security protocol, see https://github.com/OAI/OpenAPI-Specification/blob/main/versions/3.0.3.md#security-scheme-object"
      }
    },
    "responses": {
      "401": {
        "description": "Unauthorized.\n\nFor help with this error and other error codes, see [Common errors](doc:common-errors) in the Guides area.",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "message": {
                  "type": "string",
                  "description": "A message from Nexio about the state of the request.",
                  "example": "Unauthorized"
                }
              }
            }
          }
        }
      }
    }
  },
  "paths": {
    "/report/v3/adjustments": {
      "get": {
        "description": "FROM REPORTING.JSON\n\nReturns all adjustments within the given date range for all merchant IDs associated with the Nexio account used to [authenticate \n<i role='img' aria-hidden='true' class='sl-icon far fa-external-link-alt fa-xs'></i>](https://docs-beta.nexiopay.com/docs/getting-started/docs/authentication/authentication.md). You may also request or filter on fields of the query parameters, as in the following example:\n\n  <code>/report/v3/adjustments?kount.&plugin.&customer.&processor.&gateway.</code>\n  \nSee the [query parameters <i role='img' aria-hidden='true' class='sl-icon far fa-external-link-alt fa-xs'></i>](https://docs-beta.nexiopay.com/docs/developer-tools/docs/apiTools/filter_query_parameters.md) section in Developer Tools for a full tutorial.",
        "operationId": "ViewAdjustments",
        "tags": [
          "Statements and Adjustments"
        ],
        "security": [
          {
            "Basic_Authentication": []
          }
        ],
        "parameters": [
          {
            "in": "query",
            "name": "limit",
            "description": "The number of adjustments to return",
            "schema": {
              "type": "integer",
              "default": 10,
              "example": 12
            },
            "required": false
          },
          {
            "in": "query",
            "name": "offset",
            "description": "The offset. Used to view adjustments further along the list",
            "schema": {
              "type": "integer",
              "default": 0,
              "example": 10
            },
            "required": false
          },
          {
            "in": "query",
            "name": "startDate",
            "description": "The start date. Format: YYYY-MM-DD",
            "schema": {
              "type": "string",
              "default": "30 days prior to the end date",
              "example": "2019-02-13"
            },
            "required": false
          },
          {
            "in": "query",
            "name": "endDate",
            "description": "The end date. Format: YYYY-MM-DD",
            "schema": {
              "type": "string",
              "default": "Today's date",
              "example": "2019-02-19"
            },
            "required": false
          }
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "offset": {
                      "type": "integer",
                      "description": "The number of rows by which the data is offset",
                      "example": 10
                    },
                    "limit": {
                      "type": "integer",
                      "description": "The limit on the number of rows",
                      "example": 1
                    },
                    "rows": {
                      "type": "array",
                      "description": "An array of adjustments",
                      "items": {
                        "title": "adjustment",
                        "type": "object",
                        "description": "Adjustment information.",
                        "x-tags": [
                          "object"
                        ],
                        "properties": {
                          "merchantId": {
                            "type": "string",
                            "description": "The merchant ID.",
                            "example": "100039"
                          },
                          "transactionDate": {
                            "type": "string",
                            "example": "2019-02-07"
                          },
                          "assessmentCode": {
                            "type": "string",
                            "example": "01*"
                          },
                          "lockBoxBatch": {
                            "type": "string",
                            "example": "020819GD004"
                          },
                          "salesCount": {
                            "type": "integer",
                            "example": 5
                          },
                          "salesAmount": {
                            "type": "number",
                            "example": 1356.54
                          },
                          "returnsCount": {
                            "type": "integer",
                            "example": 1
                          },
                          "returnsAmount": {
                            "type": "number",
                            "example": 54.87
                          },
                          "cashAdvanceCount": {
                            "type": "integer",
                            "example": 0
                          },
                          "cashAdvanceAmount": {
                            "type": "number",
                            "example": 0
                          },
                          "paymentCount": {
                            "type": "integer",
                            "example": 0
                          },
                          "paymentAmount": {
                            "type": "number",
                            "example": 0
                          },
                          "prepaidDiscount": {
                            "type": "number",
                            "example": 0
                          },
                          "netAmount": {
                            "type": "number",
                            "example": 1356.54
                          },
                          "term": {
                            "type": "string",
                            "example": "GT6P"
                          },
                          "OPCD": {
                            "type": "string"
                          },
                          "adjustment": {
                            "type": "string"
                          },
                          "reportDate": {
                            "type": "string",
                            "example": "2019-02-07"
                          },
                          "createdAt": {
                            "type": "string",
                            "example": "2019-02-08T09:19:04.000Z"
                          },
                          "bankSource": {
                            "type": "string",
                            "example": "1637_000"
                          }
                        }
                      }
                    },
                    "hasMore": {
                      "type": "boolean",
                      "description": "Will be `true` if there are more records not included in the current response"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/401"
          }
        },
        "summary": "View adjustments",
        "x-internal": true
      }
    }
  }
}
```